
QGIS Application - Bug report #20399

frequent Crash / QGIS 3.4.1  on W10 - no evident reason 

2018-11-07 09:51 PM - jean allorent

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28219

Description

User Feedback

QGIS 3.2 or 3.4 : when doing nothing for a while (better said : doing something else on another application) it crashes (very) often  - not to

say 'systematicaly'. ... I can't point a special step before the crash.

No such problem with 2.18.

The project is linked with postgis data.

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06
History

#1 - 2018-11-08 09:15 AM - Giovanni Manghi

- Resolution set to duplicate

- Priority changed from Normal to High

- Status changed from Open to Closed

Duplicate of several other identical tickets reported lately.

#2 - 2018-11-09 12:20 AM - Martin Dobias

- Related to Bug report #20386: Program crashes in idle phase added
